body {
    margin: 0;
    background-image: url('bckgrnd.jpg');
    background-size: cover;
}

* {
    box-sizing: border-box;
}

.nav-panel {
    margin: 0 auto;
    width: 100%;
    padding: 5px 50px;
}

.row {
    display: flex;
}

.space-btw {
    justify-content: space-between;
}

.header {
    background: rgba(0, 0, 0, 0.5);
    height: 50px;
}

.text {
    color: white;
    margin-top: -5px;
    padding-left: 30px;
    display: flex;
    height: 50%;
}

.icons {
    padding-right: 30px;
    border-right: rgb(19, 13, 13) 1px solid;
    height: 70%;
}

.header-link {
    text-decoration: none;
    color: #3cb878;
}

.header-icon {
    display: inline-block;
    width: 40px;
    height: 40px;
    position: relative;
    padding-top: 10px;
}

/*sprite */

.journeyw, .journeyg, .messageg, .message, .calendarw, .compasg, .calendarg, .kompas {
    display: inline-block;
    background: url('sprite.jpeg') no-repeat;
    overflow: hidden;
    text-indent: -9999px;
    text-align: left;
}

.journeyw {
    background-position: -0px -0px;
    width: 110px;
    height: 17px;
}

.journeyw:hover {
    background-position: -0px -17px;
    width: 109px;
    height: 17px;
    transition: 0.1s;
}

.message {
    background-position: -30px -34px;
    width: 29px;
    height: 22px;
}

.message:hover {
    background-position: -0px -34px;
    width: 30px;
    height: 22px;
    transition: 0.1s;
}

.calendarw {
    background-position: -59px -34px;
    width: 23px;
    height: 20px;
}

.calendarw:hover {
    background-position: -59px -54px;
    width: 21px;
    height: 20px;
    transition: 0.1s;
}

.kompas {
    background-position: -80px -55px;
    width: 21px;
    height: 22px;
}

.kompas:hover {
    background-position: -82px -34px;
    width: 22px;
    height: 21px;
    transition: 0.1s;
}

/*  container main*/

.containermain {
    max-width: 444px;
    max-height: 584px;
    margin: auto auto;
    background-color: white;
    border-radius: 3px;
    padding: 30px 60px;
    border-radius: 10px;
    margin-top: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.inline {
    display: block;
}

/* 'or' line */

.separator {
    display: flex;
    align-items: center;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
}

.separator::before, .separator::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid rgba(143, 141, 141, 0.5);
}

.separator::before {
    margin-right: .25em;
}

.separator::after {
    margin-left: .25em;
}

/* inputs */

input[type=text], input[type=password], input[type=email] {
    width: 100%;
    padding: 15px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
    font-size: 14px;
    border-radius: 5px;
}

input:focus {
    box-shadow: 3px 3px 3px 3px #ccc;
    outline: none;
}

button {
    background-color: #3cb878;
    color: white;
    padding: 15px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    font-size: 14px;
}

.body-link {
    font-family: Courier, Verdana;
    font-size: 15px;
    color: #3cb878;
    text-decoration: none;
}

.signup {
    text-decoration: none;
    color: black;
    font-family: Courier, Verdana;
    font-size: 25px;
}

/*  */

.btn {
    width: 48%;
    padding: 12px;
    border: none;
    border-radius: 4px;
    margin: 5px 0;
    display: inline-block;
    font-size: 17px;
    line-height: 20px;
    text-decoration: none;
    display: inline-block;
}

.fb {
    background-color: #3B5998;
    color: white;
    float: left;
}

.fbtext {
    width: 100%;
    border-left: 1px solid rgba(72, 69, 255, 0.5);
    padding-left: 10px;
}

.google {
    background-color: #dd4b39;
    color: white;
    margin-left: 10px;
}

.googletext {
    width: 100%;
    border-left: 1px solid rgba(255, 0, 0, .5);
    padding-left: 10px;
}

/* checkbox styling */
.container {/* checkbox container */
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 16px;
    user-select: none;
}
.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 7px;
    left: 7px;
    height: 15px;
    width: 15px;
    background-color: white;
    border: 1px solid whitesmoke;
}

.container input:checked~.checkmark {
    background-color: white;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.container input:checked~.checkmark:after {
    display: block;
}

.container .checkmark:after {
    left: 5px;
    top: 4px;
    width: 2px;
    height: 5px;
    border: solid #3cb878;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
}
.green-border{
    border-left: #3cb878 20px solid;
    margin-left: -60px;
    margin-right: -120px;
}